Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.codec.png
Class PNGEncodeParam.RGB

    java.lang.Object
      org.apache.xmlgraphics.image.codec.png.PNGEncodeParam
          org.apache.xmlgraphics.image.codec.png.PNGEncodeParam.RGB

All Implemented Interfaces:
  Serializable, Cloneable, ImageDecodeParam, ImageEncodeParam

Enclosing class:
  PNGEncodeParam

    public static class PNGEncodeParam.RGB

extends PNGEncodeParam

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlgraphics.image.codec.png.PNGEncodeParam
`PNGEncodeParam.Gray, PNGEncodeParam.Palette, PNGEncodeParam.RGB`

Field Summary

Fields inherited from class org.apache.xmlgraphics.image.codec.png.PNGEncodeParam
`bitDepth, bitDepthSet, INTENT_ABSOLUTE, INTENT_PERCEPTUAL, INTENT_RELATIVE, INTENT_SATURATION, PNG_FILTER_AVERAGE, PNG_FILTER_NONE, PNG_FILTER_PAETH, PNG_FILTER_SUB, PNG_FILTER_UP`

Constructor Summary
`PNGEncodeParam.RGB()` Constructs an instance of `PNGEncodeParam.RGB`.

Method Summary
`int[]` | `getBackgroundRGB()` Returns the RGB value of the suggested background color.
`int[]` | `getTransparentRGB()` Returns the RGB value to be used to denote transparency.
`boolean` | `isBackgroundSet()` Returns true if a 'bKGD' chunk will be output.
`void` | `setBackgroundRGB(int[] rgb)` Sets the RGB value of the suggested background color.
`void` | `setBitDepth(int bitDepth)` Sets the desired bit depth for an RGB image.
`void` | `setTransparentRGB(int[] transparentRGB)` Sets the RGB value to be used to denote transparency.
`void` | `unsetBackground()` Suppresses the 'bKGD' chunk from being output.

Methods inherited from class org.apache.xmlgraphics.image.codec.png.PNGEncodeParam
`addPrivateChunk, filterRow, getBitDepth, getChromaticity, getCompressedText, getDefaultEncodeParam, getGamma, getICCProfileData, getInterlacing, getModificationTime, getNumPrivateChunks, getPaletteHistogram, getPhysicalDimension, getPrivateChunkData, getPrivateChunkType, getSignificantBits, getSRGBIntent, getSuggestedPalette, getText, isChromaticitySet, isCompressedTextSet, isGammaSet, isICCProfileDataSet, isModificationTimeSet, isPaletteHistogramSet, isPhysicalDimensionSet, isSignificantBitsSet, isSRGBIntentSet, isSuggestedPaletteSet, isTextSet, isTransparencySet, paethPredictor, removeAllPrivateChunks, removeUnsafeToCopyPrivateChunks, setChromaticity, setChromaticity, setCompressedText, setGamma, setICCProfileData, setInterlacing, setModificationTime, setPaletteHistogram, setPhysicalDimension, setPhysicalDimension, setSignificantBits, setSRGBIntent, setSuggestedPalette, setText, unsetBitDepth, unsetChromaticity, unsetCompressedText, unsetGamma, unsetICCProfileData, unsetModificationTime, unsetPaletteHistogram, unsetPhysicalDimension, unsetSignificantBits, unsetSRGBIntent, unsetSuggestedPalette, unsetText, unsetTransparency`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNGEncodeParam.RGB

    public PNGEncodeParam.RGB()

  Constructs an instance of `PNGEncodeParam.RGB`.

Method Detail

### unsetBackground

    public void unsetBackground()

  Suppresses the 'bKGD' chunk from being output.

  Overrides:
    `unsetBackground` in class `PNGEncodeParam`

### isBackgroundSet

    public boolean isBackgroundSet()

  Returns true if a 'bKGD' chunk will be output.

  Overrides:
    `isBackgroundSet` in class `PNGEncodeParam`

### setBitDepth

    public void setBitDepth(int bitDepth)

  Sets the desired bit depth for an RGB image. The bit depth must be 8 or 16.

  Specified by:
    `setBitDepth` in class `PNGEncodeParam`

### setBackgroundRGB

    public void setBackgroundRGB(int[] rgb)

  Sets the RGB value of the suggested background color. The `rgb` parameter should have 3 entries.

  The 'bKGD' chunk will encode this information.

### getBackgroundRGB

    public int[] getBackgroundRGB()

  Returns the RGB value of the suggested background color.

  If the background color has not previously been set, or has been unset, an `IllegalStateException` will be thrown.

  Throws:
    `IllegalStateException` - if the background color is not set.

### setTransparentRGB

    public void setTransparentRGB(int[] transparentRGB)

  Sets the RGB value to be used to denote transparency.

  Setting this attribute will cause the alpha channel of the input image to be ignored.

  The 'tRNS' chunk will encode this information.

### getTransparentRGB

    public int[] getTransparentRGB()

  Returns the RGB value to be used to denote transparency.

  If the transparent color has not previously been set, or has been unset, an `IllegalStateException` will be thrown.

  Throws:
    `IllegalStateException` - if the transparent color is not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.